Attribute VB_Name = "RegistryFuncs"
Option Explicit
'Bemerkungen
'Ein Registry-Schlssel muss mit "HKEY_LOCAL_MACHINE" ("HKLM"), "HKEY_USERS" ("HKU"), "HKEY_CURRENT_USER" ("HKCU"), "HKEY_CLASSES_ROOT" ("HKCR") oder "HKEY_CURRENT_CONFIG" ("HKCC") beginnen.
'AutoIt untersttzt Registry-Werte der Typen REG_BINARY, REG_SZ, REG_MULTI_SZ, REG_EXPAND_SZ und REG_DWORD.
'Um mit dem (Standard)-Wert zu operieren, musst du "" (einen leeren String) als Wertname verwenden.
'Wenn du den Typ REG_BINARY schreiben willst, dann musst du einen String mit den hexadezimalen Werten bergeben. Der REG_BINARY-Wert 01,a9,ff,77 wird z.B. als der String "01A9FF77" bergeben.
'Wenn du den Typ REG_MULTI_SZ schreieben willst, musst du die Werte mit @LF trennen. Der Wert darf NICHT mit @LF enden und es sind keine leeren Eintrge erlaubt (siehe Beispiel).
'Es ist mglich, Registrys im Netzwerk zu bearbeiten. Dazu verwendest du "\\Computername\Schlsselname". Um diese Funktion verwenden zu knnen, musst du unter Windows NT/2000/XP/2003 die entsprechnde Zugriffsrechte besitzen. Wenn du ein Windows 9x-basiertes Betriebssystem nutzt, musst du den "Remote Registry"-Dienst installiert haben (Siehe Microsoft Knowledge Base Artikel - 141460).

' Gibt den Wert des Schlssels aus "Path" zurck
Public Function RegRead(Path As String) As String
On Error Resume Next

  Dim ws As Object

  Set ws = CreateObject("WScript.Shell")
  RegRead = ws.RegRead(Path)
  Exit Function

End Function

' Schreibt den Wert aus "Value" als den Typ aus "Typ"
' in den in "Path" angegebenen Schlssel
Public Function RegWrite(ByVal Path As String, _
  ByVal Value As String, _
  Optional ByVal Typ As String = "REG_SZ") As Boolean

  Dim ws As Object

  Set ws = CreateObject("WScript.Shell")
  ws.RegWrite Path, Value, Typ
  RegWrite = True
  Exit Function

End Function

' Lscht den Schlssel aus "Path"
Public Function RegDelete(Path As String) As Boolean

  Dim ws As Object

  Set ws = CreateObject("WScript.Shell")
  ws.RegDelete Path
  RegDelete = True
  Exit Function

End Function


